Skip to main content
GET
/
api
/
v0
/
repositories
/
{repo_id}
/
users
/
{user_id}
Get the user information in the context of a repository.
curl --request GET \
  --url https://api.example.com/api/v0/repositories/{repo_id}/users/{user_id}
import requests

url = "https://api.example.com/api/v0/repositories/{repo_id}/users/{user_id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/api/v0/repositories/{repo_id}/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "username": "<string>",
  "avatar": "<string>",
  "isBot": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "pingsLeft": 123,
  "reputation": 123,
  "disabledAt": "2023-11-07T05:31:56Z",
  "deletedFromRepoAt": "2023-11-07T05:31:56Z"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}

Path Parameters

repo_id
string<uuid>
required
user_id
string<uuid>
required

Response

User info in the context of the repository

User data in the context of a repository.

userId
string<uuid>
required

User id, not to be confused with a client id.

name
string
required
username
string
required
repositoryRole
enum<string>
required

Role of a user in the context of a repository.

Available options:
client,
reviewer,
judge,
triager,
admin
avatar
string
required
isBot
boolean
required
createdAt
string<date-time>
required
teamId
string<uuid> | null

Id of the team the reviewer is a part of.

For non-reviewers, this will be null.

pingsLeft
integer<int32> | null

Number of times the reviewer can ping the client.

Visible to admins, company users, and reviewers only when viewing their own info.

For non-reviewers, this will be null.

reputation
integer<int32> | null

Reputation of an auditor, always in the range of 0..=100.

Visible to admins, clients, judges and triagers only. Only returned in the finding's creator field (Finding.created_by.reputation), not in other places.

For non-reviewers, this will be null.

disabledAt
string<date-time> | null

User is disabled and doesn't have access to Cantina any more.

deletedFromRepoAt
string<date-time> | null

User is deleted from the repository.